Bug 407857 - Two options in right-click menu for 'Printers' applet have identical names
Summary: Two options in right-click menu for 'Printers' applet have identical names
Status: RESOLVED FIXED
Alias: None
Product: print-manager
Classification: Frameworks and Libraries
Component: applet (show other bugs)
Version: unspecified
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Daniel Nicoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-23 08:15 UTC by Kishore Gopalakrishnan
Modified: 2021-05-15 13:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kishore Gopalakrishnan 2019-05-23 08:15:45 UTC
If we right-click on the 'Printers' systray item, we have two options which are both named 'Configure Printers'. One of them is for the plasmoid, and the other is for the systemwide KCM. They should be renamed, since the only way to currently distinguish between them is the icon.


SOFTWARE/OS VERSIONS
Linux distro: Arch Linux
KDE Plasma Version: 5.15.90
KDE Frameworks Version: 5.58.0
Qt Version: 5.13.0
Comment 1 Kishore Gopalakrishnan 2019-05-23 08:16:27 UTC
Similar bugs, but for other plasmoids: https://bugs.kde.org/show_bug.cgi?id=407561 https://bugs.kde.org/show_bug.cgi?id=407560
Comment 2 Nate Graham 2019-05-24 20:42:04 UTC
Yet another case of a config window with only one thing in it, and a KCM that has all the real options. I think we should delete the config window and put the single UI choice into the widget's own UI, or its context menu.
Comment 3 Nate Graham 2020-03-10 20:54:19 UTC
One of the last cases of this.
Comment 4 Bug Janitor Service 2021-05-08 05:28:57 UTC
A possibly relevant merge request was started @ https://invent.kde.org/utilities/print-manager/-/merge_requests/9
Comment 5 Nate Graham 2021-05-09 16:55:44 UTC
Git commit 7429802113a9efc89fba79649c209ed7836a9c76 by Nate Graham.
Committed on 08/05/2021 at 05:24.
Pushed by ngraham into branch 'master'.

[applet] Remove config dialog and put options in Hamburger menu

This commit deletes the applet's config dialog and puts its three
mutually-exclusive options for what to show into the applet's hamburger
menu, exactly like how the Disks & Devices applet does it. This allows
removing the action to show the applet's config dialog, which means
there is now only a single "configure" action and it opens the KCM. The
net result is a UI that is cleaner, less confusing, and more consistent,
with the options made more discoverable.
FIXED-IN: 21.08

D  +0    -31   plasmoid/package/contents/config/config.qml
D  +0    -64   plasmoid/package/contents/ui/config.qml
M  +54   -4    plasmoid/package/contents/ui/printmanager.qml

https://invent.kde.org/utilities/print-manager/commit/7429802113a9efc89fba79649c209ed7836a9c76